<?php
/**
 * shortcode [acf_gallery_carousel]
 * 
 */

add_shortcode( 'acf_gallery_carousel', 'fagsfacf_products_carousel' );
function fagsfacf_products_carousel($atts){	
 
	extract(shortcode_atts(array(
		'acf_field' => '',		
		'slide_to_show' 	 => '2',
		'slide_to_scroll' 	 => '1',
		'autoplay' 			 => 'true',
		'autoplay_speed' 	 => '3000',
		'speed' 			 => '300',
		'arrows'			 => 'true',
		'dots' 				 => 'true',
		'show_caption' 		 => 'true',
		'media_size'		 => '',
		'rtl'            	 => '',		
	), $atts));	
	
		
	if( $show_caption ) { 
		$show_caption_value = $show_caption; 
	} else {
		$show_caption_value = 'false';
	}
	
	if( $acf_field ) { 
		$acf_field_value = $acf_field; 
	} else {
		$acf_field_value = '';
	}
	$slide_to_show 		= !empty($slide_to_show) 			? $slide_to_show 						: 3;
	$slide_to_scroll 	= !empty($slide_to_scroll) 			? $slide_to_scroll 						: 1;
	$dots 				= ( $dots == 'false' ) 				? 'false' 						: 'true';
	$arrows 			= ( $arrows == 'false' ) 			? 'false' 						: 'true';
	$autoplay 			= ( $autoplay == 'false' ) 			? 'false' 						: 'true';
	$autoplay_speed 	= (!empty($autoplay_speed)) 		? $autoplay_speed 			: 3000;
	$speed 				= (!empty($speed)) 					? $speed 						: 300;	
	$media_size 			= !empty($media_size) 				? $media_size 		: '';
	
	// For RTL
	if( empty($rtl) && is_rtl() ) {
		$rtl = 'true';
	} elseif ( $rtl == 'true' ) {
		$rtl = 'true';
	} else {
		$rtl = 'false';
	}
	
	$unique = fagsfacf_get_unique();	
	wp_enqueue_script( 'wpos-slick-jquery' );
	wp_enqueue_script( 'fagsfacf-public-script' );
	// carousel configuration
	$slider_conf = compact('slide_to_show', 'slide_to_scroll', 'autoplay', 'autoplay_speed', 'speed', 'arrows','dots','rtl');	
		ob_start();	 
				$images = get_field($acf_field_value);

				if( $images ): ?>
				<div class="fagsfacf-carousel-wrap">
					<div id="fagsfacf-carousel-<?php echo $unique; ?>" class="fagsfacf-carousel">
						<div class="fagsfacf-gallery-carousel">
							<?php foreach( $images as $image ): 
							$gallery_img_src		= !empty($image['sizes'][$media_size]) ? $image['sizes'][$media_size] : $image['url']; ?>
								<div class="fagsfacf-gallery-slide">
									<div class="fagsfacf-gallery-slide-inner">
										<img src="<?php echo esc_url($gallery_img_src); ?>" alt="<?php echo esc_attr($image['alt']); ?>" />
										<?php if($show_caption_value == 'true' && !empty($image['caption']) ) { ?>
											<div class="fagsfacf-gallery-caption"><?php echo esc_html($image['caption']); ?></div>
										<?php } ?>
									</div>
								</div>
							<?php endforeach; ?>
						</div>
						<div class="fagsfacf-carousel-conf"><?php echo json_encode( $slider_conf ); ?></div><!-- end of-slider-conf -->
					</div>	
				</div>		
				<?php endif;
				return ob_get_clean(); 
	}